# Couenne::CouenneComplBranchingObject Class Reference

"Spatial" branching object for complementarity constraints. More...

`#include <CouenneComplBranchingObject.hpp>`

Inheritance diagram for Couenne::CouenneComplBranchingObject:

List of all members.

## Public Member Functions
| CouenneComplBranchingObject (OsiSolverInterface *solver, const OsiObject *originalObject, JnlstPtr jnlst, CouenneCutGenerator *c, CouenneProblem *p, expression *var, expression *var2, int way, CouNumber brpoint, bool doFBBT, bool doConvCuts, int sign)
| Constructor.
| CouenneComplBranchingObject (const CouenneComplBranchingObject &src)
| Copy constructor.
virtual OsiBranchingObject * | clone () const
| cloning method
virtual double | branch (OsiSolverInterface *solver=NULL)
| Execute the actions required to branch, as specified by the current state of the branching object, and advance the object's state.
## Protected Attributes
expression * | variable2_
| use CouenneBranchingObject::variable_ as the first variable to set to 0, and this one as the second
int | sign_
| -1 if object is for xi * xj <= 0 +1 if object is for xi * xj <= 0 0 if object is for xi * xj = 0 (classical)

## Detailed Description

"Spatial" branching object for complementarity constraints.

Branching on such an object x_1 x_2 = 0 is performed by setting either x_1=0 or x_2=0

Definition at line 24 of file CouenneComplBranchingObject.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneComplBranchingObject::CouenneComplBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiObject * | originalObject,
|  | JnlstPtr | jnlst,
|  | CouenneCutGenerator * | c,
|  | CouenneProblem * | p,
|  | expression * | var,
|  | expression * | var2,
|  | int | way,
|  | CouNumber | brpoint,
|  | bool | doFBBT,
|  | bool | doConvCuts,
|  | int | sign |
| ) |  |  |

Constructor.

Referenced by clone().

Couenne::CouenneComplBranchingObject::CouenneComplBranchingObject | ( | const CouenneComplBranchingObject & | src | ) | `[inline]`

Copy constructor.

Definition at line 43 of file CouenneComplBranchingObject.hpp.

## Member Function Documentation

virtual OsiBranchingObject* Couenne::CouenneComplBranchingObject::clone | ( |  | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::CouenneBranchingObject.

Definition at line 49 of file CouenneComplBranchingObject.hpp.

References CouenneComplBranchingObject().

virtual double Couenne::CouenneComplBranchingObject::branch | ( | OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Execute the actions required to branch, as specified by the current state of the branching object, and advance the object's state.

Returns change in guessed objective on next branch

Reimplemented from Couenne::CouenneBranchingObject.

## Member Data Documentation

expression* Couenne::CouenneComplBranchingObject::variable2_`[protected]`

use CouenneBranchingObject::variable_ as the first variable to set to 0, and this one as the second

Definition at line 63 of file CouenneComplBranchingObject.hpp.

int Couenne::CouenneComplBranchingObject::sign_`[protected]`

-1 if object is for xi * xj <= 0 +1 if object is for xi * xj <= 0 0 if object is for xi * xj = 0 (classical)

Definition at line 68 of file CouenneComplBranchingObject.hpp.

The documentation for this class was generated from the following file:

- CouenneComplBranchingObject.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines